/* ARCADEmini assembler (unix)
 * version 1.5 date 2004-03-28
 * part of the ARCADEmini project - http[s]://arcademini.schuermans.info/
 * Copyright (C) 2003-2004 1stein <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#ifndef INC_global
#define INC_global

#include "node.h"

//current position in input file
extern unsigned long column, line;

//number of errors and warnings
extern unsigned int error_cnt, warning_cnt;

//the pointer to the list (of all commands, ...)
// - this is the root of our parse tree
extern st_node * p_list;

//print text in a box (drawn with - + |)
void print_box( char * p_text );

//print text in a box (drawn with = * #)
void print_box2( char * p_text );

#endif //#ifndef INC_global

